@import "variables";
@import "mixins";

body {
  @include font;
}

.header {
  background-color: $page-background-color;
}

.container {
  margin-left: auto;
  margin-right: auto;
  max-width: 1170px;
}

.navigation {
  padding: 45px 179px 41px;
  position: relative;
}

.navigation__menu-button {
  background-color: $footer-background;
  border: 0;
  cursor: pointer;
  display: none;
  padding: 0;
}

.header__menu {
  @include list-reset;
  display: flex;
  justify-content: space-between;
}

.header__menu-link {
  @include reset_links;
  text-transform: uppercase;
  color: $headings-color;
  font-size: 11px;

  &--active {
    color: #57A4A4;
  }
}

.banner {
  background-color: $page-background-color;
}

.banner__image {
  width: 100%;
}

.posts-section {
  margin-top: 66px;
  margin-bottom: 69px;
  background-color: $page-background-color;
}

.title {
  @include reset-text;
  color: $headings-color;
  font-weight: 700;
}

.posts__title {
  font-size: 16px;
  text-transform: uppercase;
  margin-bottom: 24px;
}

.posts__list {
  @include list-reset;
  display: grid;
  grid-template-rows: auto;
  grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
  grid-row-gap: 32px;
  grid-column-gap: 25px;
}

.post__item {
  display: flex;
}

.post__image {
  margin-right: 21px;
}

.post__heading {
  @extend .title;
}

.post__category {
  margin-top: 13px;
  margin-bottom: 13px;
}

.categories {
  display: flex;
  font-size: 12px;
  line-height: 20px;
  color: #7C7C7C;

  &__comments {
    @include reset-text;
  }

  &__category {
    @include reset-text;
    margin-right: 20px;
    position: relative;

    &::after {
      content: "/";
      position: absolute;
      display: block;
      top: 50%;
      right: -14px;
      transform: translateY(-50%);
    }
  }
}

.post__article {
  @include reset-text;
  max-width: 404px;
  font-size: 14px;
  line-height: 26px;
  color: $posts-text-color;
}

.photos__photo {
  width: 100%;
}

.page-footer {
  background-color: $footer-background;
  margin-top: 50px;
}

.footer__container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.footer__heading {
  margin-top: 66px;
  margin-bottom: 22px;
  color: #ffffff;
  text-transform: uppercase;
  font-size: 16px;
  font-weight: 700;
}

.footer__text {
  @include reset-text;
  color: $footer-text-color;
  max-width: 684px;
  font-size: 16px;
  line-height: 28px;
  text-align: center;
  margin-bottom: 37px;
}

.socials {
  @include list-reset;
  display: grid;
  grid-auto-flow: column;
  grid-column-gap: 6px;
}

.social__link {
  @include reset_links;
}

.footer__contacts {
  margin-top: 34px;
  margin-bottom: 70px;
}

.contacts {
  color: $footer-text-color;
  font-size: 16px;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  max-width: 613px;
}

.contacts__contact {
  @include reset-text;
  margin-right: 30px;
  position: relative;

  &:last-child {
    margin-right: 0;
  }

  &:last-child::after {
    display: none;
  }

  &::after {
    content: "/";
    position: absolute;
    display: block;
    top: 50%;
    right: -14px;
    transform: translateY(-50%);
  }
}

@media screen and (max-width: 1040px) {
  .container {
    max-width: 768px;
  }
  .navigation {
    padding-right: 0;
    padding-left: 0;
  }
  .header__menu {
    justify-content: space-evenly;
  }
}

@media screen and (max-width: 768px) {
  .navigation {
    display: flex;
    justify-content: flex-end;
    padding-bottom: 23px;
    padding-top: 23px;
  }
  .navigation__menu {
    width: 183px;
    flex-direction: column;
    position: absolute;
    top: calc(100% - 23px);
    right: 0;
    background-color: #F5F5F5;
  }
  .header__menu-item {
    width: 100%;
  }
  .header__menu-link {
    width: 100%;
    min-height: 32px;
    display: flex;
    align-items: center;
    padding-left: 15px;
    &:hover {
      background-color: #E5E5E5;
    }
  }
  .navigation__menu-button {
    display: flex;
  }
  .posts-section {
    margin-bottom: 38px;
  }
}

@media screen and (max-width: 373px) {
  .container {
    max-width: 320px;
  }
  .posts__list {
    grid-template-columns: 1fr;
    grid-row-gap: 28px;
    grid-column-gap: 0;
  }
  .post__item {
    flex-direction: column;
  }
  .post__image {
    max-width: 160px;
    margin-right: 0;
    margin-bottom: 12px;
  }
  .post__article {
    display: none;
  }
  .post__category {
    margin-bottom: 0;
  }
  .posts-section {
    margin-bottom: 77px;
    margin-top: 38px;
  }
  .footer__heading, .footer__contacts {
    font-size: 14px;
  }
  .footer__text {
    font-size: 12px;
    line-height: 20px;
    max-height: 35px;
    overflow-y: hidden;
    margin-bottom: 26px;
  }
  .footer__contacts {
    flex-direction: column;
    align-items: center;
    margin-top: 25px;
    margin-bottom: 47px;
  }
  .footer__heading {
    margin-top: 38px;
    margin-bottom: 8px;
  }
}

.hidden, .btn__decor--unclicked {
  @include hidden;
}
